Bug 197104 - Kopete does not connect to yahoo... Remains in "Connecting..."
Summary: Kopete does not connect to yahoo... Remains in "Connecting..."
Status: RESOLVED WORKSFORME
Alias: None
Product: kopete
Classification: Unclassified
Component: Yahoo Plugin (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal with 52 votes (vote)
Target Milestone: ---
Assignee: Kopete Developers
URL:
Keywords:
: 190360 197158 197180 197197 197391 197578 197579 197734 198663 199751 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-06-19 08:15 UTC by Robert Voinea
Modified: 2011-11-23 10:27 UTC (History)
25 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Voinea 2009-06-19 08:15:05 UTC
Version:            (using KDE 4.2.90)
OS:                Linux
Installed from:    Ubuntu Packages

Connecting to yahoo does not work. The status message remains "Connecting" and nothing happens.
In the console I get the following output (I replaced the username with "***********"):

osiris@horus:~$ kopete --nofork
Calling appendChild() on a null node does nothing.
Calling appendChild() on a null node does nothing.
Calling appendChild() on a null node does nothing.
kopete(9536)/kopete (yahoo) YahooProtocol::YahooProtocol:
Calling appendChild() on a null node does nothing.
kopete(9536)/kopete (yahoo - raw protocol) LoginTask::LoginTask:
kopete(9536)/kopete (yahoo - raw protocol) ListTask::ListTask:
kopete(9536)/kopete (yahoo - raw protocol) LoginTask::LoginTask:
kopete(9536)/kopete (yahoo - raw protocol) ListTask::ListTask:
Calling appendChild() on a null node does nothing.
kopete(9536)/kopete (yahoo) YahooAccount::setOnlineStatus:
kopete(9536)/kopete (yahoo) YahooAccount::connectWithPassword:
kopete(9536)/kopete (yahoo) YahooAccount::connectWithPassword: Attempting to connect to Yahoo on < "scs.msg.yahoo.com" : 5050 >. user < "************" >
kopete(9536)/kopete (yahoo - raw protocol) Client::connect:
kopete(9536)/kopete (yahoo - raw protocol) KNetworkConnector::KNetworkConnector: New KNetwork connector.
kopete(9536)/kopete (yahoo - raw protocol) KNetworkByteStream::KNetworkByteStream: Instantiating new KNetwork byte stream.
kopete(9536)/kopete (yahoo - raw protocol) KNetworkConnector::setOptHostPort: Manually specifying host  "scs.msg.yahoo.com"  and port  5050
kopete(9536)/kopete (yahoo - raw protocol) ClientStream::ClientStream:
Object::connect: No such signal ClientStream::disconnected()
Object::connect:  (receiver name: 'yahooclient')
kopete(9536)/kopete (yahoo - raw protocol) ClientStream::connectToServer:
kopete(9536)/kopete (yahoo - raw protocol) ClientStream::reset:
kopete(9536)/kopete (yahoo - raw protocol) KNetworkConnector::done:
kopete(9536)/kopete (yahoo - raw protocol) KNetworkByteStream::close: Closing stream.
kopete(9536)/kopete (yahoo - raw protocol) KNetworkConnector::connectToServer: Initiating connection to  "scs.msg.yahoo.com"
kopete(9536)/kopete (yahoo - raw protocol) KNetworkByteStream::connect: Connecting to  "scs.msg.yahoo.com" , service  "5050"
kopete(9536)/kopete (yahoo - raw protocol) KNetworkConnector::slotConnected: We are connected.
kopete(9536)/kopete (yahoo - raw protocol) ClientStream::cr_connected:
kopete(9536)/kopete (yahoo - raw protocol) KNetworkConnector::stream:
kopete(9536)/kopete (yahoo - raw protocol) Client::cs_connected:
kopete(9536)/kopete (yahoo - raw protocol) Client::cs_connected:  starting login task ...
kopete(9536)/kopete (yahoo - raw protocol) LoginTask::onGo:
kopete(9536)/kopete (yahoo - raw protocol) LoginTask::sendVerify:
kopete(9536)/kopete (yahoo - raw protocol) Client::send: CLIENT::send()
kopete(9536)/kopete (yahoo - raw protocol) ClientStream::write:
kopete(9536)/kopete (yahoo - raw protocol) CoreProtocol::outgoingTransfer:
kopete(9536)/kopete (yahoo - raw protocol) CoreProtocol::outgoingTransfer:  got YMSGTransfer
kopete(9536)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  pos= 0  (packet size) "YMSG
kopete(9536)/kopete (yahoo - raw protocol) ClientStream::cp_outgoingData: [data size:  20 ]
kopete(9536)/kopete (yahoo - raw protocol) KNetworkByteStream::tryWrite: [writeData.size() =  20 ]
kopete(9536)/kopete (yahoo - raw protocol) KNetworkByteStream::slotBytesWritten: [int bytes]:  20
kopete(9536)/kopete (yahoo - raw protocol) ClientStream::bs_bytesWritten:  written:  20  bytes
kopete(9536)/kopete (yahoo - raw protocol) KNetworkByteStream::slotReadyRead:
kopete(9536)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData: 20  bytes. already had  0  bytes
kopete(9536)/kopete (yahoo - raw protocol) CoreProtocol::wireToTransfer:
kopete(9536)/kopete (yahoo - raw protocol) YMSGProtocol::parse: "YMSG
kopete(9536)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  - parsed packet version  0   0
kopete(9536)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  - parsed packet len  0
kopete(9536)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Parsed packet service -  This means ServiceVerify  76
kopete(9536)/kopete (yahoo - raw protocol) YMSGProtocol::parse:   Parsed session id:  0x0
kopete(9536)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Setting incoming transfer basic information.
kopete(9536)/kopete (yahoo - raw protocol) CoreProtocol::incomingTransfer:
kopete(9536)/kopete (yahoo - raw protocol) Client::distribute:
kopete(9536)/kopete (yahoo - raw protocol) LoginTask::sendAuth:
kopete(9536)/kopete (yahoo - raw protocol) LoginTask::sendAuth:
kopete(9536)/kopete (yahoo - raw protocol) Client::send: CLIENT::send()
kopete(9536)/kopete (yahoo - raw protocol) ClientStream::write:
kopete(9536)/kopete (yahoo - raw protocol) CoreProtocol::outgoingTransfer:
kopete(9536)/kopete (yahoo - raw protocol) CoreProtocol::outgoingTransfer:  got YMSGTransfer
kopete(9536)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  Serializing key  1  value  "************"
kopete(9536)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  pos= 0  (packet size) "YMSG
kopete(9536)/kopete (yahoo - raw protocol) ClientStream::cp_outgoingData: [data size:  37 ]
kopete(9536)/kopete (yahoo - raw protocol) KNetworkByteStream::tryWrite: [writeData.size() =  37 ]
Transfer ACCEPTED by: LoginTask
kopete(9536)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData:  parsed transfer  1  in chunk of  20  bytes
kopete(9536)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData:  done processing chunk
kopete(9536)/kopete (yahoo - raw protocol) KNetworkByteStream::slotBytesWritten: [int bytes]:  37
kopete(9536)/kopete (yahoo - raw protocol) ClientStream::bs_bytesWritten:  written:  37  bytes
kopete(9536)/kopete (yahoo - raw protocol) KNetworkByteStream::slotReadyRead:
kopete(9536)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData: 121  bytes. already had  0  bytes
kopete(9536)/kopete (yahoo - raw protocol) CoreProtocol::wireToTransfer:
kopete(9536)/kopete (yahoo - raw protocol) YMSGProtocol::parse: "YMSG
kopete(9536)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  - parsed packet version  15   0
kopete(9536)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  - parsed packet len  101
kopete(9536)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Parsed packet service -  This means ServiceAuth  87
kopete(9536)/kopete (yahoo - raw protocol) YMSGProtocol::parse:   Parsed session id:  0x497b2a
kopete(9536)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Setting incoming transfer basic information.
kopete(9536)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Key:  "1"  Value:  "************"
kopete(9536)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Key:  "13"  Value:  "2"
kopete(9536)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Key:  "94"  Value:  "j*i-i|e-w*1&c+k%1/s&(e|e|(q^2%d*q|(t|p/s*w/w-(b-s-a-n-a*3%w|1)%n*m-p)))"
kopete(9536)/kopete (yahoo - raw protocol) CoreProtocol::incomingTransfer:
kopete(9536)/kopete (yahoo - raw protocol) Client::distribute:
kopete(9536)/kopete (yahoo - raw protocol) LoginTask::sendAuthResp:
kopete(9536)/kopete (yahoo - raw protocol) LoginTask::sendAuthResp:  Version 0x0b  "2"
kopete(9536)/kopete (yahoo - raw protocol) LoginTask::sendAuthResp_0x0b:  with seed  "j*i-i|e-w*1&c+k%1/s&(e|e|(q^2%d*q|(t|p/s*w/w-(b-s-a-n-a*3%w|1)%n*m-p)))"
kopete(9536)/kopete (yahoo - raw protocol) LoginTask::sendAuthResp_0x0b: resp_6:  E=i9,w=od;r=El;G=09;X=o1;G=f9;h=ck,I=lk,Y=oE,E=jg;  resp_69:  O=B5,W=fF;h=mj,h=oF,O=k5,T=hb;M=3a,X=bp,K=b4;r=kD;
kopete(9536)/kopete (yahoo - raw protocol) Client::send: CLIENT::send()
kopete(9536)/kopete (yahoo - raw protocol) ClientStream::write:
kopete(9536)/kopete (yahoo - raw protocol) CoreProtocol::outgoingTransfer:
kopete(9536)/kopete (yahoo - raw protocol) CoreProtocol::outgoingTransfer:  got YMSGTransfer
kopete(9536)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  Serializing key  0  value  "************"
kopete(9536)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  Serializing key  2  value  "************"
kopete(9536)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  Serializing key  2  value  "1"
kopete(9536)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  Serializing key  6  value  "E=i9,w=od;r=El;G=09;X=o1;G=f9;h=ck,I=lk,Y=oE,E=jg;"
kopete(9536)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  Serializing key  1  value  "************"
kopete(9536)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  Serializing key  244  value  "2097087"
kopete(9536)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  Serializing key  135  value  "8.1.0.209"
kopete(9536)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  Serializing key  148  value  "480"
kopete(9536)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  Serializing key  59  value  "B\tfckeert1kk1nl&b=2"
kopete(9536)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  pos= 0  (packet size) "YMSG
kopete(9536)/kopete (yahoo - raw protocol) ClientStream::cp_outgoingData: [data size:  198 ]
kopete(9536)/kopete (yahoo - raw protocol) KNetworkByteStream::tryWrite: [writeData.size() =  198 ]
kopete(9536)/kopete (yahoo - raw protocol) Client::lt_gotSessionID: Got SessionID:  4815658
Transfer ACCEPTED by: LoginTask
kopete(9536)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData:  parsed transfer  1  in chunk of  121  bytes
kopete(9536)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData:  done processing chunk
kopete(9536)/kopete (yahoo - raw protocol) KNetworkByteStream::slotBytesWritten: [int bytes]:  198
kopete(9536)/kopete (yahoo - raw protocol) ClientStream::bs_bytesWritten:  written:  198  bytes


...and here it stops. It does not do anything.
Other accounts I have work (MSN and Jabber/GoogleTalk).

Is it possible that yahoo changed protocol... again?...
Comment 1 Karen Durinyan 2009-06-19 12:51:43 UTC
The same problem is here but kopete version is and KDE is 4.2.3
ICQ login works fine.
Problem starts since 18.06.2009
Comment 2 Karen Durinyan 2009-06-19 13:01:21 UTC
(In reply to comment #1)
> The same problem is here but kopete version is and KDE is 4.2.3
> ICQ login works fine.
> Problem starts since 18.06.2009

sorry... the kopete version is 0.70.2
Comment 3 sasha 2009-06-19 22:48:25 UTC
same here
kopete 0.70.90
kde 4.2.90 (kde 4.3 beta2)
Comment 4 Michael Blakeley 2009-06-19 23:29:05 UTC
Might relate to http://trac.adium.im/ticket/12404#comment
Comment 5 Reuben Budiardja 2009-06-20 02:02:07 UTC
I can confirm this. I am using Kopete 0.70.2, KDE 4.2.3 on Fedora 10. I have two machines with this configuration, 2 different yahoo accounts, and both were having this same problem. Both machines are on the same LAN (home network) and should have the same public IP.

This started to happen very recently, maybe just sometime this week or last week (and I didn't bother to figure out until now).

The fix for me is to change the login server to:
cs102.msg.mud.yahoo.com port 5050
I got this from: http://trac.adium.im/ticket/12283

Interestingly, I have another machine the same home network (same public IP as the two F10/KDE 4.2.3 machines mentioned above), that still runs KDE 3.5 that can connect just fine to the original yahoo server: scs.msg.yahoo.com port 5050

My other machine at school (also KDE 3.5, kopete 0.12.7) can also connect to the original yahoo server. 

This is baffling as it seems only the new Kopete with KDE 4 that has to change the server information.
Comment 6 Robert Voinea 2009-06-20 06:35:15 UTC
(In reply to comment #5)
> The fix for me is to change the login server to:
> cs102.msg.mud.yahoo.com port 5050
> I got this from: http://trac.adium.im/ticket/12283
> 
> Interestingly, I have another machine the same home network (same public IP as
> the two F10/KDE 4.2.3 machines mentioned above), that still runs KDE 3.5 that
> can connect just fine to the original yahoo server: scs.msg.yahoo.com port 5050
> 
> My other machine at school (also KDE 3.5, kopete 0.12.7) can also connect to
> the original yahoo server. 
> 
> This is baffling as it seems only the new Kopete with KDE 4 that has to change
> the server information.

Apparently changing the server works... but for how long?...

In the libyahoo2 mailing list there is a post saying that yahoo changed the authentication procedure (although the message is from February)... Could it be this?...

http://sourceforge.net/mailarchive/forum.php?thread_name=2e95f9b80902181546s7293ad0bmbd44ca768d7e68f6@mail.gmail.com&forum_name=libyahoo2-users
Comment 7 Alexandru Scvortov 2009-06-20 10:28:29 UTC
Same problem here: Kopete SVN on KDE 4.2 can't connect to Yahoo (all other networks work well).  This started recentely.

Changing the server seems to fix the problem.
Comment 8 HB 2009-06-20 13:08:54 UTC
> The fix for me is to change the login server to:
> cs102.msg.mud.yahoo.com port 5050

Thank you very much. It works.
Comment 9 ellis 2009-06-21 19:25:33 UTC
Pidgin reports that they have corrected the yahoo login problem
Comment 10 Dario Andres 2009-06-21 22:16:52 UTC
*** Bug 190360 has been marked as a duplicate of this bug. ***
Comment 11 Dario Andres 2009-06-21 22:16:57 UTC
*** Bug 197158 has been marked as a duplicate of this bug. ***
Comment 12 Dario Andres 2009-06-21 22:17:02 UTC
*** Bug 197180 has been marked as a duplicate of this bug. ***
Comment 13 Dario Andres 2009-06-21 22:17:08 UTC
*** Bug 197197 has been marked as a duplicate of this bug. ***
Comment 14 Dario Andres 2009-06-21 22:17:26 UTC
*** Bug 197391 has been marked as a duplicate of this bug. ***
Comment 15 Gene Faircloth III 2009-06-21 22:36:31 UTC
Changeing Server on 0.70.90 only worked untill I shut down Kopete, Still have no yahoo acess
Comment 16 Karen Durinyan 2009-06-23 07:09:35 UTC
now the above mentioned server (cs102.msg.mud.yahoo.com) is actively refusing the connection :(
Comment 17 harry bennett 2009-06-23 07:51:05 UTC
*** Bug 197579 has been marked as a duplicate of this bug. ***
Comment 18 Becheru Petru-Ioan 2009-06-23 08:26:02 UTC
*** This bug has been confirmed by popular vote. ***
Comment 19 Dario Andres 2009-06-23 13:41:13 UTC
*** Bug 197578 has been marked as a duplicate of this bug. ***
Comment 20 Hrishikesh Mehendale (हृषीकेश मेहेंदळे) 2009-06-23 19:41:38 UTC
cs101 and cs102 were both actively refusing connections, but using cn.scs.msg.yahoo.com works for me (for now a least ...)
Comment 21 Reuben Budiardja 2009-06-24 03:30:40 UTC
Confirm comment #20.
Comment 22 Gene Faircloth III 2009-06-24 05:26:57 UTC
(In reply to comment #20)
> cs101 and cs102 were both actively refusing connections, but using
> cn.scs.msg.yahoo.com works for me (for now a least ...)

I can confirm this works as well for now, any idea if Yahoo has changed something else recently? been hunting and no real info
Comment 23 Norberto Bensa 2009-06-24 05:31:40 UTC
On Wed, Jun 24, 2009 at 12:26 AM, Gene Faircloth
III<kalakdragon@gmail.com> wrote:
> I can confirm this works as well for now, any idea if Yahoo has changed
> something else recently? been hunting and no real info

Protocol 16

http://www.worthinstalling.com/2009/06/update-pidgin-257-yahoo-protocol-16-support.html

http://pidgin.im/pipermail/devel/2009-January/007394.html

http://www.carbonize.co.uk/ymsg16.html


Regards,
Norberto
Comment 24 Michael Corsa 2009-06-24 13:48:57 UTC
Being frustrated, I installed Gyachi, and it connects to the standard default yahoo server just fine as does my KDE 3.5.10 Kopete install.  My webcam now works too using Gyachi. :)
Comment 25 Dario Andres 2009-06-24 16:02:34 UTC
*** Bug 197734 has been marked as a duplicate of this bug. ***
Comment 26 Gene Faircloth III 2009-06-24 18:53:28 UTC
cn.scs.msg.yahoo.com went down on me today, switched to pidgin for the time being, it seems to work great, hopefully an official kopete fix comes out instead of playing server roulette
Comment 27 A. Spehr 2009-06-25 04:05:42 UTC
I vote blocker. If we can avoid it, I don't think we should release with one of the major protocols not working. (Send in a babysitter and pizza?)
Comment 28 Matt Rogers 2009-06-25 05:24:29 UTC
SVN commit 986794 by mattr:

Implement YMSG protocol version 16 authentication

Fixes bug 197104

BUG: 197104

This will be backported to the KDE 4.2 and KDE 4.3 branches

Squashed commit of the following:

commit 2589b7859c3332d3e4c1e3623b9a5182ea060436
Author: Matt Rogers <mattr@kde.org>
Date:   Wed Jun 24 21:19:42 2009 -0500

    Update existing yahoo.com servers to the new one

    This kconf_update script changes all the server lines for Yahoo accounts
    to scsa.msg.yahoo.com if the domain name ended with ".yahoo.com" so that
    users don't have to go in and change their config manually in order to
    be able to login.

commit ca1ea33d0047877afd200d2d3c656a7235ef8009
Author: Matt Rogers <mattr@kde.org>
Date:   Wed Jun 24 20:45:18 2009 -0500

    Set the Yahoo default server to scsa.msg.yahoo.com

    This is inline with what several of the other clients do now that we all
    seem to be using protocol 16 authentication methods.

commit 9ad7a11e53815f0333909a765c81ea7131c20693
Author: Matt Rogers <mattr@kde.org>
Date:   Wed Jun 24 20:40:36 2009 -0500

    Implement YMSG protocol version 16 authentication.

    Kopete's Yahoo protocol can now login again, fixing bug 197104

    This is the fix for trunk (4.4) which will be backported to 4.3 and 4.2
    Thanks to the Pidgin folks for implementing it first and letting me use
    their code. :)

 M  +2 -2      kopete/kconf_update/CMakeLists.txt  
 AM            kopete/kconf_update/kopete-update_yahoo_server.pl  
 A             kopete/kconf_update/kopete-update_yahoo_server.upd  
 M  +179 -30   protocols/yahoo/libkyahoo/logintask.cpp  
 M  +19 -0     protocols/yahoo/libkyahoo/logintask.h  
 M  +1 -1      protocols/yahoo/yahooaccount.cpp  
 M  +3 -3      protocols/yahoo/yahooeditaccount.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=986794
Comment 29 Matt Rogers 2009-06-25 05:25:12 UTC
SVN commit 986795 by mattr:

Implement YMSG protocol version 16 authentication

Fixes bug 197104

CCBUG: 197104

This is the backport for KDE 4.3

Squashed commit of the following:

commit 2589b7859c3332d3e4c1e3623b9a5182ea060436
Author: Matt Rogers <mattr@kde.org>
Date:   Wed Jun 24 21:19:42 2009 -0500

    Update existing yahoo.com servers to the new one

    This kconf_update script changes all the server lines for Yahoo accounts
    to scsa.msg.yahoo.com if the domain name ended with ".yahoo.com" so that
    users don't have to go in and change their config manually in order to
    be able to login.

commit ca1ea33d0047877afd200d2d3c656a7235ef8009
Author: Matt Rogers <mattr@kde.org>
Date:   Wed Jun 24 20:45:18 2009 -0500

    Set the Yahoo default server to scsa.msg.yahoo.com

    This is inline with what several of the other clients do now that we all
    seem to be using protocol 16 authentication methods.

commit 9ad7a11e53815f0333909a765c81ea7131c20693
Author: Matt Rogers <mattr@kde.org>
Date:   Wed Jun 24 20:40:36 2009 -0500

    Implement YMSG protocol version 16 authentication.

    Kopete's Yahoo protocol can now login again, fixing bug 197104

    This is the fix for trunk (4.4) which will be backported to 4.3 and 4.2
    Thanks to the Pidgin folks for implementing it first and letting me use
    their code. :)

 M  +2 -2      kopete/kconf_update/CMakeLists.txt  
 AM            kopete/kconf_update/kopete-update_yahoo_server.pl  
 A             kopete/kconf_update/kopete-update_yahoo_server.upd  
 M  +179 -30   protocols/yahoo/libkyahoo/logintask.cpp  
 M  +19 -0     protocols/yahoo/libkyahoo/logintask.h  
 M  +1 -1      protocols/yahoo/yahooaccount.cpp  
 M  +3 -3      protocols/yahoo/yahooeditaccount.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=986795
Comment 30 Matt Rogers 2009-06-25 05:25:45 UTC
SVN commit 986796 by mattr:

Implement YMSG protocol version 16 authentication

Fixes bug 197104

CCBUG: 197104

This is the backport for KDE 4.2

Squashed commit of the following:

commit 2589b7859c3332d3e4c1e3623b9a5182ea060436
Author: Matt Rogers <mattr@kde.org>
Date:   Wed Jun 24 21:19:42 2009 -0500

    Update existing yahoo.com servers to the new one

    This kconf_update script changes all the server lines for Yahoo accounts
    to scsa.msg.yahoo.com if the domain name ended with ".yahoo.com" so that
    users don't have to go in and change their config manually in order to
    be able to login.

commit ca1ea33d0047877afd200d2d3c656a7235ef8009
Author: Matt Rogers <mattr@kde.org>
Date:   Wed Jun 24 20:45:18 2009 -0500

    Set the Yahoo default server to scsa.msg.yahoo.com

    This is inline with what several of the other clients do now that we all
    seem to be using protocol 16 authentication methods.

commit 9ad7a11e53815f0333909a765c81ea7131c20693
Author: Matt Rogers <mattr@kde.org>
Date:   Wed Jun 24 20:40:36 2009 -0500

    Implement YMSG protocol version 16 authentication.

    Kopete's Yahoo protocol can now login again, fixing bug 197104

    This is the fix for trunk (4.4) which will be backported to 4.3 and 4.2
    Thanks to the Pidgin folks for implementing it first and letting me use
    their code. :)

 M  +4 -3      kopete/kconf_update/CMakeLists.txt  
 AM            kopete/kconf_update/kopete-update_yahoo_server.pl  
 A             kopete/kconf_update/kopete-update_yahoo_server.upd  
 M  +179 -30   protocols/yahoo/libkyahoo/logintask.cpp  
 M  +19 -0     protocols/yahoo/libkyahoo/logintask.h  
 M  +1 -1      protocols/yahoo/yahooaccount.cpp  
 M  +3 -3      protocols/yahoo/yahooeditaccount.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=986796
Comment 31 Kevin Kofler 2009-06-25 05:59:52 UTC
I'm working on a Fedora update with this patch now. Hopefully other distros will follow suit.
Comment 32 harry bennett 2009-06-25 10:28:26 UTC

Before attempting any patch, I tried using scsa.msg.yahoo.com manually. It did not work.

currently using cn.scs.msg.yahoo.com
Comment 33 Kevin Kofler 2009-06-25 11:53:51 UTC
Of course it didn't, you can't login to scsa with the old protocol, the patch is needed to add support for the new one.
Comment 34 blitz00 2009-06-25 13:33:18 UTC
(In reply to comment #31)
> I'm working on a Fedora update with this patch now. Hopefully other distros
> will follow suit.

Can you please announce when the update is pushed? Is there a bug id on fedora's bugzilla? I couldn't find this bug reported there, not for kopete, only for pidgin.
Comment 35 Kevin Christmas 2009-06-25 16:44:12 UTC
The patch works for me.

I have a patched copy of kopete in my PPA if you use (K)Ubunutu 9.04  http://ppa.launchpad.net/kachristmas/ppa/ubuntu/pool/main/k/kdenetwork/

I built against KDE 4.2.4 found in the kubuntu-ppa  http://ppa.launchpad.net/kubuntu-ppa/ppa/ubuntu/
Comment 36 Kevin Kofler 2009-06-25 21:43:55 UTC
> Can you please announce when the update is pushed?

I queued the updates directly to stable as soon as they were built:
https://admin.fedoraproject.org/updates/kdenetwork-4.2.4-3.fc11
https://admin.fedoraproject.org/updates/kdenetwork-4.2.4-3.fc10
https://admin.fedoraproject.org/updates/kdenetwork-4.2.4-3.fc9
The push is now underway, so it should be out in a matter of hours.
Comment 37 Ruchir Brahmbhatt 2009-07-04 07:52:08 UTC
It still doesn't work with 4.2.95(RC1).
Comment 38 Norberto Bensa 2009-07-04 08:22:51 UTC
> --- Comment #37 from Ruchir Brahmbhatt <ruchir brahmbhatt ecosmob com>  2009-07-04 07:52:08 ---
> It still doesn't work with 4.2.95(RC1).

I was going to say the same thing but then I noticed that -at least in
ubuntu jaunty- the backported kde 4.3rc1 has kopete 0.70.90 which I
guess is kopete from kde 4.3beta2.

Regards,
Norberto
Comment 39 Ruchir Brahmbhatt 2009-07-04 08:27:51 UTC
I also have 0.70.90. I'll check when I get new version from factory repo.
Comment 40 Kevin Christmas 2009-07-06 20:03:49 UTC
(In reply to comment #39)
> I also have 0.70.90. I'll check when I get new version from factory repo.

It doesn't look like the fix made it in before the tag.
Comment 41 Matt Rogers 2009-07-06 23:37:02 UTC
no, it didn't make the tag. It will be in KDE 4.3.0 and (if needed) any 
further RC releases before the final 4.3 release.
Comment 42 Kevin Kofler 2009-07-06 23:41:10 UTC
FYI, Fedora Rawhide's 4.2.90-2.fc12, 4.2.90-3.fc12 and 4.2.95-1.fc12 builds all have the patch.
Comment 43 Norberto Bensa 2009-07-07 01:52:35 UTC
Is this patch working? I mean, I just compiled kopete with this patch,
and it connects, but I can't see my contacts. They all appear offline.
Comment 44 Matt Rogers 2009-07-07 04:34:22 UTC
it worked for me, but that doesn't mean that there aren't other beasties that 
show their faces due to the new code. Please submit a new bug regarding the 
lack of online contacts, since it sounds like we have some more fixing to do
Comment 45 Norberto Bensa 2009-07-08 03:04:47 UTC
On Mon, Jul 6, 2009 at 11:34 PM, Matt Rogers<mattr@kde.org> wrote:
> it worked for me, but that doesn't mean that there aren't other beasties that
> show their faces due to the new code. Please submit a new bug regarding the
> lack of online contacts, since it sounds like we have some more fixing to do

I'll test a little more before filling a new bug.

I've noticed that users using the official yahoo client are shown
online (when they ARE online :-) ) but the ones using pidgin are not.
Maybe it's a pidgin bug.

Thanks!
Comment 46 blitz00 2009-07-08 20:11:26 UTC
(In reply to comment #36)
> > Can you please announce when the update is pushed?
> 
> I queued the updates directly to stable as soon as they were built:
> https://admin.fedoraproject.org/updates/kdenetwork-4.2.4-3.fc11
> https://admin.fedoraproject.org/updates/kdenetwork-4.2.4-3.fc10
> https://admin.fedoraproject.org/updates/kdenetwork-4.2.4-3.fc9
> The push is now underway, so it should be out in a matter of hours.

Thanks. Great job!
Comment 47 Pino Toscano 2009-07-13 13:42:58 UTC
*** Bug 199751 has been marked as a duplicate of this bug. ***
Comment 48 Dario Andres 2009-07-14 16:42:23 UTC
*** Bug 198663 has been marked as a duplicate of this bug. ***
Comment 49 yamzz 2009-11-12 17:25:35 UTC
Are there any fixes already?  It's been like 4 months or more, and I still can't seem to connect to all Yahoo accounts. I am using Kopete 0.80.2 on KDE 4.3.2. 

Here is what I noticed. I have my very old Yahoo account dating back more than 5 years ago (I think). Kopete is able to connect it although I get booted every few hours, but it's ok, it just logs me in automatically.  My newer account that has been around for perhaps close to 2 years was able to log in one time. That was it. After that, it's failure after failure. Doesn't even say if the server actively refused the connection or what. It just sits there doing nothing.

Heck no I'm not gonna use Pidgin and/or any Gnome app as much as possible. No offense to them (I know Pidgin is not a Gnome app),  I just don't like Gnome look. :D hehehe
Comment 50 Ruchir Brahmbhatt 2009-12-06 07:24:44 UTC
Still doesn't work with 4.4 beta1.

kopete(11086)/libkopete Kopete::WalletManager::slotWalletChangedStatus: Successfully opened the wallet !                                                                            
kopete(11086)/libkopete KopetePasswordRequest::walletReceived:                                                                                                                      
kopete(11086)/kopete (yahoo) YahooAccount::connectWithPassword:                                                                                                                     
kopete(11086)/kopete (yahoo) YahooAccount::connectWithPassword: Attempting to connect to Yahoo on < "scsa.msg.yahoo.com" : 5050 >. user < "MY_YAHOO_ID" >                            
kopete(11086)/kopete (yahoo - raw protocol) Client::connect:                                                                                                                        
kopete(11086)/kopete (yahoo - raw protocol) KNetworkConnector::KNetworkConnector: New KNetwork connector.                                                                           
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::KNetworkByteStream: Instantiating new KNetwork byte stream.                                                         
kopete(11086)/kopete (yahoo - raw protocol) KNetworkConnector::setOptHostPort: Manually specifying host  "scsa.msg.yahoo.com"  and port  5050                                       
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::ClientStream:                                                                                                             
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::connectToServer:                                                                                                          
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::reset:                                                                                                                    
kopete(11086)/kopete (yahoo - raw protocol) KNetworkConnector::done:                                                                                                                
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::close: Closing stream.                                                                                              
kopete(11086)/kopete (yahoo - raw protocol) KNetworkConnector::connectToServer: Initiating connection to  "scsa.msg.yahoo.com"                                                      
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::connect: Connecting to  "scsa.msg.yahoo.com" , service  "5050"                                                      
kopete(11086)/kdecore (KNetwork resolver) <unnamed>::ResInitUsage::shouldResInit: shouldResInit: /etc/resolv.conf updated                                                           
kopete(11086)/kopete (yahoo - raw protocol) KNetworkConnector::slotConnected: We are connected.                                                                                     
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::cr_connected:                                                                                                             
kopete(11086)/kopete (yahoo - raw protocol) KNetworkConnector::stream:                                                                                                              
kopete(11086)/kopete (yahoo - raw protocol) Client::cs_connected:                                                                                                                   
kopete(11086)/kopete (yahoo - raw protocol) Client::cs_connected:  starting login task ...                                                                                          
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::onGo:                                                                                                                        
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::sendVerify:                                                                                                                  
kopete(11086)/kopete (yahoo - raw protocol) Client::send: CLIENT::send()                                                                                                            
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::write:                                                                                                                    
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::outgoingTransfer:                                                                                                         
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::outgoingTransfer:  got YMSGTransfer                                                                                       
kopete(11086)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  pos= 0  (packet size) "YMSG                                                                                   
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::cp_outgoingData: [data size:  20 ]                                                                                        
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::tryWrite: [writeData.size() =  20 ]                                                                                 
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::slotBytesWritten: [int bytes]:  20                                                                                  
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::bs_bytesWritten:  written:  20  bytes                                                                                     
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::slotReadyRead:                                                                                                      
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData: 20  bytes. already had  0  bytes                                                                         
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::wireToTransfer:                                                                                                           
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse: "YMSG                                                                                                              
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  - parsed packet version  0   0                                                                                    
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  - parsed packet len  0                                                                                            
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Parsed packet service -  This means ServiceVerify  76                                                             
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:   Parsed session id:  0x0                                                                                          
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Setting incoming transfer basic information.                                                                      
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::incomingTransfer:                                                                                                         
kopete(11086)/kopete (yahoo - raw protocol) Client::distribute:                                                                                                                     
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::sendAuth:                                                                                                                    
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::sendAuth:                                                                                                                    
kopete(11086)/kopete (yahoo - raw protocol) Client::send: CLIENT::send()                                                                                                            
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::write:                                                                                                                    
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::outgoingTransfer:                                                                                                         
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::outgoingTransfer:  got YMSGTransfer                                                                                       
kopete(11086)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  Serializing key  1  value  "MY_YAHOO_ID"                                                                       
kopete(11086)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  pos= 0  (packet size) "YMSG                                                                                   
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::cp_outgoingData: [data size:  35 ]                                                                                        
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::tryWrite: [writeData.size() =  35 ]                                                                                 
Transfer ACCEPTED by: LoginTask                                                                                                                                                     
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData:  parsed transfer  1  in chunk of  20  bytes                                                              
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData:  done processing chunk                                                                                   
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::slotBytesWritten: [int bytes]:  35                                                                                  
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::bs_bytesWritten:  written:  35  bytes                                                                                     
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::slotReadyRead:                                                                                                      
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData: 114  bytes. already had  0  bytes                                                                        
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::wireToTransfer:                                                                                                           
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse: "YMSG                                                                                                              
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  - parsed packet version  15   0                                                                                   
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  - parsed packet len  94                                                                                           
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Parsed packet service -  This means ServiceAuth  87                                                               
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:   Parsed session id:  0x585733                                                                                     
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Setting incoming transfer basic information.                                                                      
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Key:  "1"  Value:  "MY_YAHOO_ID"                                                                                   
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Key:  "13"  Value:  "2"                                                                                           
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Key:  "94"  Value:  "3-h-r%y^e*a^k%c+4*8%z&(f^e|a*f*q*h^y^o+s^i+p*j^c*f)/z%x%5&(w*a*r|p*5)"                           
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::incomingTransfer:                                                                                                         
kopete(11086)/kopete (yahoo - raw protocol) Client::distribute:                                                                                                                     
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::sendAuthResp:                                                                                                                
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::sendAuthResp: Using version 16 authorization                                                                                 
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::sendAuthSixteenStage1: seed: "3-h-r%y^e*a^k%c+4*8%z&(f^e|a*f*q*h^y^o+s^i+p*j^c*f)/z%x%5&(w*a*r|p*5)"                             
kopete(11086)/kopete (yahoo - raw protocol) Client::lt_gotSessionID: Got SessionID:  5789491                                                                                        
Transfer ACCEPTED by: LoginTask                                                                                                                                                     
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData:  parsed transfer  1  in chunk of  114  bytes                                                             
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData:  done processing chunk                                                                                   
kopete(11086)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-ruchir/kopetez11086.slave-socket"                                       
kopete(11086)/kio (Slave) KIO::Slave::createSlave: createSlave "https" for KUrl("https://login.yahoo.com/config/pwtoken_get?src=ymsgr&ts=&login=MY_YAHOO_ID&passwd=Request("pass");&chal=3-h-r%y^e*a^k%c+4*8%z&(f^e|a*f*q*h^y^o+s^i+p*j^c*f)/z%x%5&(w*a*r|p*5)")                                                                                                             
kopete(11086)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-ruchir/kopeteJ11086.slave-socket"                                       
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::handleAuthSixteenStage1Data: data: "1213"                                                                                    
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::handleAuthSixteenStage1Data: data: ""                                                                                        
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::handleAuthSixteenStage1Result: error: 0                                                                                      
kopete(11086)/kopete (yahoo - raw protocol) Client::close:                                                                                                                          
kopete(11086)/kopete (yahoo - raw protocol) Client::slotLoginResponse: Emitting loggedIn                                                                                            
kopete(11086)/kopete (yahoo) YahooAccount::slotLoginResponse: -1 ,  "" )]                                                                                                           
kopete(11086)/libkopete Kopete::Contact::setStatusMessage: Setting up the status title property with this:  ""                                                                      
kopete(11086)/libkopete Kopete::Contact::setStatusMessage: Setting up the status message property with this:  ""                                                                    
kopete(11086)/libkopete Kopete::Account::disconnected: 99                                                                                                                           
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::handleAuthSixteenStage1Result: unknown error logging in                                                                      
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::reset:                                                                                                                    
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::close: Closing stream.                                                                                              
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::slotConnectionClosed: Socket has been closed.                                                                       
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::slotConnectionClosed: ..by ourselves!                                                                               
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::slotConnectionClosed: socket error is  "Unknown error"                                                              
kopete(11086)/kopete (yahoo - raw protocol) KNetworkConnector::done:                                                                                                                
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::close: Closing stream.                                                                                              
kopete(11086)/libkopete Kopete::Account::reconnect: account  "MY_YAHOO_ID"  restoreStatus  50  restoreTitle  ""  restoreMessage  ""                                                  
kopete(11086)/kopete (yahoo) YahooAccount::setOnlineStatus:                                                                                                                         
kopete(11086)/kopete (yahoo) YahooAccount::connectWithPassword:                                                                                                                     
kopete(11086)/kopete (yahoo) YahooAccount::connectWithPassword: Attempting to connect to Yahoo on < "scsa.msg.yahoo.com" : 5050 >. user < "MY_YAHOO_ID" >                            
kopete(11086)/kopete (yahoo - raw protocol) Client::connect:                                                                                                                        
kopete(11086)/kopete (yahoo - raw protocol) KNetworkConnector::KNetworkConnector: New KNetwork connector.                                                                           
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::KNetworkByteStream: Instantiating new KNetwork byte stream.                                                         
kopete(11086)/kopete (yahoo - raw protocol) KNetworkConnector::setOptHostPort: Manually specifying host  "scsa.msg.yahoo.com"  and port  5050                                       
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::ClientStream:                                                                                                             
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::connectToServer:                                                                                                          
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::reset:                                                                                                                    
kopete(11086)/kopete (yahoo - raw protocol) KNetworkConnector::done:                                                                                                                
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::close: Closing stream.                                                                                              
kopete(11086)/kopete (yahoo - raw protocol) KNetworkConnector::connectToServer: Initiating connection to  "scsa.msg.yahoo.com"                                                      
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::connect: Connecting to  "scsa.msg.yahoo.com" , service  "5050"                                                      
kopete(11086)/kopete (yahoo - raw protocol) KNetworkConnector::slotConnected: We are connected.                                                                                     
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::cr_connected:                                                                                                             
kopete(11086)/kopete (yahoo - raw protocol) KNetworkConnector::stream:                                                                                                              
kopete(11086)/kopete (yahoo - raw protocol) Client::cs_connected:                                                                                                                   
kopete(11086)/kopete (yahoo - raw protocol) Client::cs_connected:  starting login task ...                                                                                          
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::onGo:                                                                                                                        
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::sendVerify:                                                                                                                  
kopete(11086)/kopete (yahoo - raw protocol) Client::send: CLIENT::send()                                                                                                            
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::write:                                                                                                                    
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::outgoingTransfer:                                                                                                         
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::outgoingTransfer:  got YMSGTransfer                                                                                       
kopete(11086)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  pos= 0  (packet size) "YMSG                                                                                   
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::cp_outgoingData: [data size:  20 ]                                                                                        
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::tryWrite: [writeData.size() =  20 ]                                                                                 
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::slotBytesWritten: [int bytes]:  20                                                                                  
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::bs_bytesWritten:  written:  20  bytes                                                                                     
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::slotReadyRead:                                                                                                      
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData: 20  bytes. already had  0  bytes                                                                         
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::wireToTransfer:                                                                                                           
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse: "YMSG                                                                                                              
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  - parsed packet version  0   0                                                                                    
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  - parsed packet len  0                                                                                            
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Parsed packet service -  This means ServiceVerify  76                                                             
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:   Parsed session id:  0x0                                                                                          
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Setting incoming transfer basic information.                                                                      
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::incomingTransfer:                                                                                                         
kopete(11086)/kopete (yahoo - raw protocol) Client::distribute:                                                                                                                     
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::sendAuth:                                                                                                                    
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::sendAuth:                                                                                                                    
kopete(11086)/kopete (yahoo - raw protocol) Client::send: CLIENT::send()                                                                                                            
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::write:                                                                                                                    
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::outgoingTransfer:                                                                                                         
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::outgoingTransfer:  got YMSGTransfer                                                                                       
kopete(11086)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  Serializing key  1  value  "MY_YAHOO_ID"                                                                       
kopete(11086)/kopete (yahoo - raw protocol) YMSGTransfer::serialize:  pos= 0  (packet size) "YMSG                                                                                   
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::cp_outgoingData: [data size:  35 ]                                                                                        
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::tryWrite: [writeData.size() =  35 ]                                                                                 
Transfer ACCEPTED by: LoginTask                                                                                                                                                     
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData:  parsed transfer  1  in chunk of  20  bytes                                                              
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData:  done processing chunk                                                                                   
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::slotBytesWritten: [int bytes]:  35                                                                                  
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::bs_bytesWritten:  written:  35  bytes                                                                                     
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::slotReadyRead:                                                                                                      
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData: 118  bytes. already had  0  bytes                                                                        
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::wireToTransfer:                                                                                                           
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse: "YMSG                                                                                                              
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  - parsed packet version  15   0                                                                                   
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  - parsed packet len  98                                                                                           
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Parsed packet service -  This means ServiceAuth  87                                                               
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:   Parsed session id:  0x57a2fb                                                                                     
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Setting incoming transfer basic information.                                                                      
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Key:  "1"  Value:  "MY_YAHOO_ID"                                                                                   
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Key:  "13"  Value:  "2"                                                                                           
kopete(11086)/kopete (yahoo - raw protocol) YMSGProtocol::parse:  Key:  "94"  Value:  "a%5-g*(v^r^o*(i&f-2|n*c^d&h|(y|o&x-g/c&p^y-o/b/m)/l-k%c^f+m-d&h%3-x))"                       
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::incomingTransfer:                                                                                                         
kopete(11086)/kopete (yahoo - raw protocol) Client::distribute:                                                                                                                     
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::sendAuthResp:                                                                                                                
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::sendAuthResp: Using version 16 authorization                                                                                 
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::sendAuthSixteenStage1: seed: "a%5-g*(v^r^o*(i&f-2|n*c^d&h|(y|o&x-g/c&p^y-o/b/m)/l-k%c^f+m-d&h%3-x))"                         
kopete(11086)/kopete (yahoo - raw protocol) Client::lt_gotSessionID: Got SessionID:  5743355                                                                                        
Transfer ACCEPTED by: LoginTask                                                                                                                                                     
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData:  parsed transfer  1  in chunk of  118  bytes                                                             
kopete(11086)/kopete (yahoo - raw protocol) CoreProtocol::addIncomingData:  done processing chunk                                                                                   
kopete(11086)/kopete (yahoo) YahooAccount::setOnlineStatus:                                                                                                                         
kopete(11086)/kopete (yahoo) YahooAccount::slotGoStatus: GoStatus:  0  msg:  ""                                                                                                     
kopete(11086)/kopete (yahoo) YahooAccount::connectWithPassword:                                                                                                                     
kopete(11086)/kopete (yahoo) YahooAccount::connectWithPassword: Yahoo plugin: Ignoring connect request (already connected).                                                         
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::handleAuthSixteenStage1Data: data: "1213"                                                                                    
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::handleAuthSixteenStage1Data: data: ""                                                                                        
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::handleAuthSixteenStage1Result: error: 0                                                                                      
kopete(11086)/kopete (yahoo - raw protocol) Client::close:                                                                                                                          
kopete(11086)/kopete (yahoo - raw protocol) Client::slotLoginResponse: Emitting loggedIn                                                                                            
kopete(11086)/kopete (yahoo) YahooAccount::slotLoginResponse: -1 ,  "" )]                                                                                                           
kopete(11086)/libkopete Kopete::Contact::setStatusMessage: Setting up the status title property with this:  ""                                                                      
kopete(11086)/libkopete Kopete::Contact::setStatusMessage: Setting up the status message property with this:  ""                                                                    
kopete(11086)/libkopete Kopete::Account::disconnected: 99                                                                                                                           
kopete(11086)/kopete (yahoo) YahooAccount::slotLoginResponse: -1 ,  "" )]                                                                                                           
kopete(11086)/libkopete Kopete::Contact::setStatusMessage: Setting up the status title property with this:  ""                                                                      
kopete(11086)/libkopete Kopete::Contact::setStatusMessage: Setting up the status message property with this:  ""                                                                    
kopete(11086)/libkopete Kopete::Account::disconnected: 99                                                                                                                           
kopete(11086)/kopete (yahoo - raw protocol) LoginTask::handleAuthSixteenStage1Result: unknown error logging in                                                                      
kopete(11086)/kopete (yahoo - raw protocol) ClientStream::reset:                                                                                                                    
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::close: Closing stream.                                                                                              
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::slotConnectionClosed: Socket has been closed.                                                                       
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::slotConnectionClosed: ..by ourselves!                                                                               
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::slotConnectionClosed: socket error is  "Unknown error"                                                              
kopete(11086)/kopete (yahoo - raw protocol) KNetworkConnector::done:                                                                                                                
kopete(11086)/kopete (yahoo - raw protocol) KNetworkByteStream::close: Closing stream.
Comment 51 Matt Rogers 2010-01-17 04:36:22 UTC
There's a patch in the upcoming KDE 4.4 final release that may help address this. Please upgrade and retest when KDE 4.4 comes out. (rc1 and older are not new enough). If it still occurs, then reopen this bug and we'll figure something else out.
Comment 52 Khairul Aizat Kamarudzzaman 2010-03-03 09:01:49 UTC
its still occur for me .. now im using Kopete Version 1.0.0
Using KDE Development Platform 4.4.1 (KDE 4.4.1)
Comment 53 Ruchir Brahmbhatt 2011-11-23 10:27:58 UTC
I just found a work around for this bug. Not sure why it always worked in pidgin and never in kopete but this is how I solved it.

1. Login to yahoo mail.
2. Open Account information(from User menu).
3. Go to manage apps and website connections.
4. There you will see "Y! Messenger Authentication". Click Remove.
5. Now try to login from kopete again.